## org.apache.taglibs.standard.tag.common.fmt
Class FormatNumberSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.fmt.FormatNumberSupport

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  FormatNumberTag, FormatNumberTag

    public abstract class FormatNumberSupport

extends BodyTagSupport

Support for tag handlers for <formatNumber>, the number formatting tag in JSTL 1.0.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary
`protected String` `currencyCode`
`protected String` `currencySymbol`
`protected boolean` `groupingUsedSpecified`
`protected boolean` `isGroupingUsed`
`protected int` `maxFractionDigits`
`protected boolean` `maxFractionDigitsSpecified`
`protected int` `maxIntegerDigits`
`protected boolean` `maxIntegerDigitsSpecified`
`protected int` `minFractionDigits`
`protected boolean` `minFractionDigitsSpecified`
`protected int` `minIntegerDigits`
`protected boolean` `minIntegerDigitsSpecified`
`protected String` `pattern`
`protected String` `type`
`protected Object` `value`
`protected boolean` `valueSpecified`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormatNumberSupport()`

Method Summary
`int` `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`void` `release()` Release state.
`void` `setScope(String scope)`
`void` `setVar(String var)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### value

    protected Object value

### valueSpecified

    protected boolean valueSpecified

### type

    protected String type

### pattern

    protected String pattern

### currencyCode

    protected String currencyCode

### currencySymbol

    protected String currencySymbol

### isGroupingUsed

    protected boolean isGroupingUsed

### groupingUsedSpecified

    protected boolean groupingUsedSpecified

### maxIntegerDigits

    protected int maxIntegerDigits

### maxIntegerDigitsSpecified

    protected boolean maxIntegerDigitsSpecified

### minIntegerDigits

    protected int minIntegerDigits

### minIntegerDigitsSpecified

    protected boolean minIntegerDigitsSpecified

### maxFractionDigits

    protected int maxFractionDigits

### maxFractionDigitsSpecified

    protected boolean maxFractionDigitsSpecified

### minFractionDigits

    protected int minFractionDigits

### minFractionDigitsSpecified

    protected boolean minFractionDigitsSpecified

Constructor Detail

### FormatNumberSupport

    public FormatNumberSupport()

Method Detail

### setVar

    public void setVar(String var)

### setScope

    public void setScope(String scope)

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`
  See Also:
    `Tag.release()`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.